GET /blockscout/addresses/{address_hash}/nft/collections

Path Parameters

address_hash string required path
Address hash

Query Parameters

type string optional query
Example: "ERC-721,ERC-404,ERC-1155"

Responses

200 Address
application/json
items object[] REQUIRED
Array of:
token object REQUIRED
circulating_market_cap string REQUIRED
icon_url string REQUIRED
name string REQUIRED
decimals string REQUIRED
symbol string REQUIRED
address string REQUIRED
type string REQUIRED
holders string REQUIRED
exchange_rate string REQUIRED
total_supply string REQUIRED
amount string
token_instances object[] REQUIRED
Array of:
is_unique boolean REQUIRED
id string REQUIRED
holder_address_hash string
image_url string
animation_url string
external_app_url string
metadata object
owner object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of: ...
watchlist_names object[] REQUIRED
Array of: ...
public_tags object[] REQUIRED
Array of: ...
is_verified boolean REQUIRED
token object
token_type string REQUIRED
value string REQUIRED
next_page_params object REQUIRED
400 Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/addresses/string/nft/collections'
const response = await fetch('https://data-api.b3.fun//blockscout/addresses/string/nft/collections', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//blockscout/addresses/string/nft/collections')
print(response.json())
200 Response
{
  "items": [
    {
      "token": {
        "circulating_market_cap": "83606435600.3635",
        "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
        "name": "Tether USD",
        "decimals": "6",
        "symbol": "USDT",
        "address": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
        "type": "ERC-20",
        "holders": "837494234523",
        "exchange_rate": "0.99",
        "total_supply": "10000000"
      },
      "amount": "1",
      "token_instances": [
        {
          "is_unique": true,
          "id": "431",
          "holder_address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
          "image_url": "example.com/picture.png",
          "animation_url": "example.com/video.mp4",
          "external_app_url": "d-app.com",
          "metadata": {
            "year": 2023,
            "tags": [
              "poap",
              "event"
            ],
            "name": "Social Listening Committee #2 Attendees",
            "image_url": "https://assets.poap.xyz/chanel-poap-4c-2023-logo-1675083420470.png",
            "home_url": "https://app.poap.xyz/token/6292128",
            "external_url": "https://api.poap.tech/metadata/99010/6292128",
            "description": "This is the POAP for attendees of the second Social Listening Committee.",
            "attributes": [
              {
                "value": "01-Feb-2023",
                "trait_type": "startDate"
              },
              {
                "value": "01-Feb-2023",
                "trait_type": "endDate"
              },
              {
                "value": "false",
                "trait_type": "virtualEvent"
              },
              {
                "value": "Paris",
                "trait_type": "city"
              },
              {
                "value": "France",
                "trait_type": "country"
              },
              {
                "value": "https://www.chanel.com",
                "trait_type": "eventURL"
              }
            ]
          },
          "owner": {
            "hash": {},
            "implementation_name": {},
            "name": {},
            "ens_domain_name": {},
            "metadata": {},
            "is_contract": {},
            "private_tags": {},
            "watchlist_names": {},
            "public_tags": {},
            "is_verified": {}
          },
          "token": null,
          "token_type": "ERC-721",
          "value": "1"
        }
      ]
    }
  ],
  "next_page_params": {
    "token_contract_address_hash": "0xb81afe27c103bcd42f4026cf719af6d802928765",
    "token_type": "ERC-721"
  }
}
GET /blockscout/addresses/{address_hash}/nft/collections
Ask a question... ⌘I